love.graphics.setDefaultFilter("nearest", "nearest")
love.window.setMode(540, 960)

require("time")
local ObjectClass = require('classes/objects')
local scene = {}

-- Load every item in the game.
local function newStick()
  return ObjectClass.new(1, love.graphics.newImage('sprites/stick.png'), 5)
end

local function newBottle()
  return ObjectClass.new(2, love.graphics.newImage('sprites/stick.png'), 2)
end

local function newRock()
  return ObjectClass.new(3, love.graphics.newImage('sprites/stick.png'), 10)
end



-- Load everything
function love.load()
  -- Load other scripts
  time.load()

	-- Integer Variables
    moneyAmount = 0

	-- Game Sprites
	itemSprite = love.graphics.newImage("sprites/stick.png")

  -- Background sprites
  grasslands = love.graphics.newImage("sprites/stick.png")

	-- Booleans
    mouseDown = false
    timerStarted = false
end

-- Update everything every 30 frames
function love.update(dt)

  -- Cap the game at 30 FPS.
  if dt < 1/30 then
    love.timer.sleep(1/30 - dt)
  end


	-- Is the mouse down?
  if love.mouse.isDown(1) then
    timerStarted = true

	-- Have they clicked once?
      if not mouseDown then
        mouseDown = true
      end

    else
      mouseDown = false
    end

    if timerStarted then
      -- We'll start the timer.
      time.update(dt)
    end
end

-- Draw stuff on screen
function love.draw()
  -- Draw other scripts
  time.draw()

	-- Sprites
	love.graphics.draw(itemSprite, 300, 300, 0, 4, 4)
end
